package com.ruoyi.project.plant.mapper;

import java.util.List;

import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TTargetlist;
import org.apache.ibatis.annotations.Options;

/**
 * 目标录入Mapper接口
 * 
 * @author ruoyi
 * @date 2020-11-24
 */
public interface TTargetlistMapper 
{
    /**
     * 查询目标录入
     * 
     * @param id 目标录入ID
     * @return 目标录入
     */
    public TTargetlist selectTTargetlistById(Long id);

    /**
     * 查询目标录入列表
     * 
     * @param tTargetlist 目标录入
     * @return 目标录入集合
     */
    @DataScope(deptAlias = "d")
    public List<TTargetlist> selectTTargetlistList(TTargetlist tTargetlist);

    /**
     * 查询目标录入列表(目标措施)
     *
     * @param tTargetlist 目标录入
     * @return 目标录入集合
     */
    @DataScope(deptAlias = "d")
    public List<TTargetlist> selectListMeasures(TTargetlist tTargetlist);

    @DataScope(deptAlias = "d")
    public List<TTargetlist> selectAllContent(TTargetlist tTargetlist);
    @DataScope(deptAlias = "d")
    public List<TTargetlist> selectAllMeasures(TTargetlist tTargetlist);

    /**
     * 新增目标录入
     * 
     * @param tTargetlist 目标录入
     * @return 结果
     */
    //@Options(useGeneratedKeys = true,keyProperty="id")
    public int insertTTargetlist(TTargetlist tTargetlist);

    /**
     * 修改目标录入
     * 
     * @param tTargetlist 目标录入
     * @return 结果
     */
    public int updateTTargetlist(TTargetlist tTargetlist);

    /**
     * 删除目标录入
     * 
     * @param id 目标录入ID
     * @return 结果
     */
    public int deleteTTargetlistById(Long id);

    /**
     * 批量删除目标录入
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTargetlistByIds(Long[] ids);
}
